Package com.independentsoft.office.odf

# Class TrackedChanges

java.lang.Object
com.independentsoft.office.odf.TrackedChanges

All Implemented Interfaces:
  `IContentElement`

public class TrackedChanges extends Object implements IContentElement
Represents changes in an OpenDocument document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackedChanges()`
  Initializes a new instance of the TrackedChanges class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TrackedChanges`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<ChangedRegion>`
  `getChangedRegions()`
  Contains a collection of ChangedRegion objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `boolean`
  `isTrackChanges()`
  Specifies whether changes to the document should be tracked and recorded.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setTrackChanges​(boolean trackChanges)`
  Specifies whether changes to the document should be tracked and recorded.
  `String`
  `toString()`
  Converts the value of the current TrackedChanges object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrackedChanges

    public TrackedChanges()
    Initializes a new instance of the TrackedChanges class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public TrackedChanges clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TrackedChanges object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getChangedRegions

    public List<ChangedRegion> getChangedRegions()
    Contains a collection of ChangedRegion objects.
    Returns:
      the changed regions

  - ### isTrackChanges

    public boolean isTrackChanges()
    Specifies whether changes to the document should be tracked and recorded. The defined values are: -false: changes are not tracked. -true: changes are tracked.
    Returns:
      true, if is track changes

  - ### setTrackChanges

    public void setTrackChanges​(boolean trackChanges)
    Specifies whether changes to the document should be tracked and recorded. The defined values are: -false: changes are not tracked. -true: changes are tracked.
    Parameters:
      `trackChanges` - the new track changes